<?php
require_once P2_LIB_DIR . '/index.funcs.php';

/**
 * p2 - 携帯用インデックスをHTMLプリントする関数
 *
 * @access  public
 * @return  void
 */
function index_print_k()
{
    global $_conf, $_login;

    $menuKLinkHtmls = getIndexMenuKLinkHtmls(getIndexMenuKIni());
    
    $ptitle = $_conf['p2name'] . 'iPhone';
    if (UA::isAndroidWebKit()) {
        $ptitle = $_conf['p2name'] . 'Android';
    }
    
    // ログインユーザ情報
    $auth_user_ht   = sprintf(
        '<p>ﾛｸﾞｲﾝﾕｰｻﾞ: %s - %s</p>',
        hs($_login->user_u), date('Y/m/d (D) G:i:s') 
    );
    
    // p2ログイン用URL
    $p2_login_url = rtrim(dirname(UriUtil::getMyUri()), '/') . '/';
    $p2_login_url_pc = UriUtil::buildQueryUri($p2_login_url,
        array(
            UA::getQueryKey() => UA::getPCQuery()
        )
    );
    $p2_login_url_k = UriUtil::buildQueryUri($p2_login_url,
        array(
            UA::getQueryKey() => UA::getMobileQuery(),
            'user' => $_login->user_u
        )
    );

    // 前回のログイン情報
    if ($_conf['login_log_rec'] && $_conf['last_login_log_show']) {
        if (false !== $log = P2Util::getLastAccessLog($_conf['login_log_file'])) {
            $log_hs = array_map('hs', $log);
            $htm['last_login'] = <<<EOP
<font color="#888888">
前回のﾛｸﾞｲﾝ情報 - {$log_hs['date']}<br>
ﾕｰｻﾞ:   {$log_hs['user']}<br>
IP:     {$log_hs['ip']}<br>
HOST:   {$log_hs['host']}<br>
UA:     {$log_hs['ua']}<br>
REFERER: {$log_hs['referer']}
</font>
EOP;
        }
    }
    
    // 古いセッションIDがキャッシュされていることを考慮して、ユーザ情報を付加しておく
    // （リファラを考慮して、つけないほうがいい場合もあるので注意）
    $narabikae_uri = UriUtil::buildQueryUri('edit_indexmenui.php',
        array(
            'user' => $_login->user_u,
            UA::getQueryKey() => UA::getQueryValue()
        )
    );
    
    require_once P2_LIB_DIR . '/BrdCtl.php';
    $search_form_htm = BrdCtl::getMenuKSearchFormHtml('menu_i.php');

    $body_at    = P2View::getBodyAttrK();
    $hr         = P2View::getHrHtmlK();

    $urlform_onClick_ht = <<<EOP
var url_v = document.forms['urlform'].elements['url_text'].value;
if (url_v == '') {
	alert('見たいスレッドのURLを入力して下さい。 例：http://hibari.2ch.net/test/read.cgi/software/1306160232/');
	return false;
}
EOP;

    //=========================================================
    // 携帯用 HTML出力
    //=========================================================
    P2Util::headerNoCache();
    P2View::printDoctypeTag();
    ?>
<html>
<head>
<?php
    P2View::printExtraHeadersHtml();
?>
<script type="text/javascript"> 
<!-- 
window.onload = function() { 
setTimeout(scrollTo, 100, 0, 1); 
} 
// --> 
</script> 
<?php P2View::printStyleTagImportIuiCss(); ?>
<title><?php eh($ptitle); ?></title>
</head>
<body>
<div class="toolbar">
	<h1 class="pageTitle"><?php eh($ptitle); ?></h1>
	<a class="tbutton" href="<?php eh($narabikae_uri); ?>">並替</a>
</div>
<ul id="home">
	<li class="group">メニュー</li>
<?php

P2Util::printInfoHtml();

foreach ($menuKLinkHtmls as $v) {
    ?><li><?php echo $v; ?></li><?php
}

?>

<li class="group">スレタイ/板検索</li>
<?php echo $search_form_htm; ?>

<li class="group">2chのスレURLを直接指定</li>
<form id="urlform" method="GET" action="<?php eh($_conf['read_php']); ?>">
	<input id="url_text" type="text" value="" name="url" placeholder="http://hibari.2ch.net/test/read.cgi/software/1306160232/">
	<?php echo P2View::getInputHiddenKTag(); ?>
	<input type="submit" name="btnG" value="表示" onClick="<?php echo $urlform_onClick_ht; ?>">
</form>
</ul>

<div style="padding:6px 0px 10px 0px; border-top:solid 3px #eee;"><div style="padding:0 3px;">
rep2ﾛｸﾞｲﾝ用URL（PC）<br>
<a href="<?php eh($p2_login_url_pc); ?>"><?php eh($p2_login_url_pc); ?></a><br>
rep2ﾛｸﾞｲﾝ用URL（携帯）<br>
<a href="<?php eh($p2_login_url_k); ?>"><?php eh($p2_login_url_k); ?></a><br>
</div></div>

</body>
</html>
<?php
}
/*

{$hr}
{$auth_user_ht}

{$hr}
{$htm['last_login']}
*/

//============================================================================
// 関数（このファイル内でのみ利用）
//============================================================================
/**
 * メニュー項目のリンクHTMLを取得する
 *
 * @access  private
 * @param   array   $menuKIni  メニュー項目 標準設定
 * @param   boolean $noLink    リンクをつけないのならtrue
 * @return  string  HTML
 */
function _getMenuKLinkHtml($code, $menuKIni, $noLink = false)
{
    global $_conf, $_login;
    
    static $accesskey_ = 0;
    
    // 無効なコード指定なら
    if (!isset($menuKIni[$code][0]) || !isset($menuKIni[$code][1])) {
        return false;
    }

    $accesskey = ++$accesskey_;
    
    if ($_conf['index_menu_k_from1']) {
        $accesskey = $accesskey + 1;
        if ($accesskey == 10) {
            $accesskey = 0;
        }
    }
    if ($accesskey > 9) {
        $accesskey = null;
    }
    
    $href = $menuKIni[$code][0] . '&user=' . $_login->user_u . '&' . UA::getQueryKey() . '=' . UA::getQueryValue();
    $name = $menuKIni[$code][1];
    /*if (!is_null($accesskey)) {
        $name = $accesskey . '.' . $name;
    }*/

    if ($noLink) {
        $linkHtml = hs($name);
    } else {
        $accesskeyAt = is_null($accesskey) ? '' : " {$_conf['accesskey_for_k']}=\"{$accesskey}\"";
        $linkHtml = "<a href=\"" . hs($href) . '">' . hs($name) . "</a>";
    }
    
    // 特別 - #.ログ
    if ($code == 'res_hist') {
        $name = '書込ログ';
        if ($noLink) {
            $logHt = hs($name);
        } else {
            $newtime = date('gis');
            $logHt = P2View::tagA(
                UriUtil::buildQueryUri('read_res_hist.php',
                    array(
                        'nt' => $newtime,
                        UA::getQueryKey() => UA::getQueryValue()
                    )
                ),
                hs($name),
                array($_conf['accesskey_for_k'] => '#')
            );
        }
        $linkHtml .= ' </li><li>' . $logHt ;
    }
    
    return $linkHtml;
}

/*
 * Local Variables:
 * mode: php
 * coding: cp932
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: nil
 * End:
 */
// vim: set syn=php fenc=cp932 ai et ts=4 sw=4 sts=4 fdm=marker:
